Skip to main content
GET
Retrieve a connection webhook

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication.

FlowAuthorization Code
Authorization URL
https://zapier.com/oauth/authorize
Token URL
https://zapier.com/oauth/token
FlowClient Credentials
Token URL
https://zapier.com/oauth/token
Scopes2
connection:webhook:read
Grants connection:webhook:read access
external
Scope that gives access to all Public APIs

Path Parameters

id
string<uuid>
required

UUID of the connection webhook.

Response

The connection webhook.

Output serializer for GET / PATCH responses. Secret is never returned.

id
string<uuid>
required
read-only

Unique webhook identifier (UUID).

event_type
enum<string>
required

The event type this webhook is subscribed to.

  • connection.expiry_scheduled - Expiry Scheduled
Available options:
connection.expiry_scheduled
callback_url
string<uri>
required
read-only

HTTPS URL that signed events are POSTed to.

is_active
boolean
required
read-only

Whether the webhook is active. Inactive webhooks do not receive events.

created_at
string<date-time>
required
read-only

ISO 8601 timestamp when the webhook was created.

updated_at
string<date-time>
required
read-only

ISO 8601 timestamp when the webhook was last updated.

Last modified on September 1, 2026